{

                                                                     
      Zz Toolbox Library (version 1.0).                              
      Compiler directives definitions.                               
      Copyright (c) 1991 by ZzSoft.                                  
                                                                     

}

{ Define "WORK" and build program for work code generation mode            }
{ Define "ATONLY" and build program for 80286 instructions code generation }

{$IFNDEF WORK}
{$DEFINE DEBUG - define debug mode }
{$ELSE}
{$UNDEF DEBUG  - define work mode  }
{$ENDIF}

{ compiler directives for 5.0+ version   }

{$A-  Align data           Byte          }
{$B-  Boolean evaluation   Short circuit }
{$E-  Emulation            Off           }
{$F-  Force far calls      Off           }
{$N-  Numeric processing   Software      }
{$O-  Overlays allowed     Off           }
{$V-  Var-string checking  Off           }

{ compiler directives for 6.0 version }

{$IFDEF VER60}
{$X+  Extended syntax      On            }
{$IFDEF ATONLY}
{$G+  286 instructions     On            }
{$ELSE}
{$G-  286 instructions     Off           }
{$ENDIF}
{$ENDIF}

{ compiler directives for 7.0 version }

{$IFDEF VER70}
{$X+  Extended syntax      On            }
{$T-  Typed @ operator     Off           }
{$P-  Open parameters      Off           }
{$IFDEF ATONLY}
{$G+  286 instructions     On            }
{$ELSE}
{$G-  286 instructions     Off           }
{$ENDIF}
{$ENDIF}


{$IFDEF DEBUG}

{ compiler directives for debug mode }

{$D+  Debug information    On            }
{$I+  I/O checking         On            }
{$L+  Local symbols        On            }
{$R+  Range checking       On            }
{$S+  Stack checking       On            }

{ compiler directives for debug mode (7.0 version) }

{$IFDEF VER70}
{$Q+  Overflow checking    On            }
{$ENDIF}

{$ELSE}

{ compiler directives for work mode }

{$D-  Debug information    Off           }
{$I-  I/O checking         Off           }
{$L-  Local symbols        Off           }
{$R-  Range checking       Off           }
{$S-  Stack checking       Off           }

{ compiler directives for work mode (7.0 version) }

{$IFDEF VER70}
{$Q-  Overflow checking    Off           }
{$ENDIF}

{$ENDIF}
