program fdexampl; { Format Date Example, Copyright (c) 1993 by ZzSoft. }
{$I comdir}
uses fdate,ss;
const

{ ----------- example date ----------- }

  Day   = 2;
  Month = 10;
  Year  = 1993;

{ ------ example format strings ------ }

  s1  = '$DAY()-$MONTH()-$YEAR() $WEEKDAY(6,F)';
  s2  = '$DAY()/$MONTH()/$YEAR() $WEEKDAY(1,F)';
  s3  = '$DAY(1) $MONTH(7,F) $YEAR(3)';
  s4  = '$DAY(4) $MONTH(4) $YEAR(8)';
  s5  = '$DAY(7) $MONTH(4)';
  s6  = ': $MONTH(3,U,8,L)  : $YEAR(5)';
  s7  = ' $MONTH(5,U)';
  s8  = '$YEAR(9)';
  s9  = '$CENTURY(1)-th century';
  s10 = '$CENTURY(2) , $CENTURY(3) ⮫⨥';
  s11 = '$SEASON(3,F), $SEASON(1,F), $SEASON(2)';
  s12 = '$DATE(,,.,,,.) $WEEKDAY(7,F)';

begin
  writeln;
  writeln('Format Date Example, Copyright (c) 1993 by ZzSoft.');
  writeln('');
  writeln;
  writeln('day   : ',Day);
  writeln('month : ',Month);
  writeln('year  : ',Year);
  writeln;
  writeln('format string                           result');
  writeln;
  writeln(ljust(s1,' ',40),FormatDate(s1,Year,Month,Day));
  writeln(ljust(s2,' ',40),FormatDate(s2,Year,Month,Day));
  writeln(ljust(s3,' ',40),FormatDate(s3,Year,Month,Day));
  writeln(ljust(s4,' ',40),FormatDate(s4,Year,Month,Day));
  writeln(ljust(s5,' ',40),FormatDate(s5,Year,Month,Day));
  writeln(ljust(s6,' ',40),FormatDate(s6,Year,Month,Day));
  writeln(ljust(s7,' ',40),FormatDate(s7,Year,Month,Day));
  writeln(ljust(s8,' ',40),FormatDate(s8,Year,Month,Day));
  writeln(ljust(s9,' ',40),FormatDate(s9,Year,Month,Day));
  writeln(ljust(s10,' ',40),FormatDate(s10,Year,Month,Day));
  writeln(ljust(s11,' ',40),FormatDate(s11,Year,Month,Day));
  writeln(ljust(s12,' ',40),FormatDate(s12,Year,Month,Day));
end.
